Subject: Re: [bug#28487] [PATCH] cuirass: Add gnu-system build spec.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 28 Sep 2017 10:27:58 +0200

Jan Nieuwenhuizen <[email-masked]> skribis:

> As an aside: Interesting, I've been using GOOPS a lot with match and we have
> standardised on only matching class/record type, like so
>
>     (match o
>       (($ <license>) ...)

I would make it:

  (match o
    ((? license?)
     ...))

> so I was wondering why you didn't export <license>.  Now it makes sense:
> you simply cannot use record destructors if you don't export <..> in the
> first place.  For GOOPS that's a bit different, you don't have class?
> for each <class>.

Yes.  I think the “spirit of GOOPS” is that class objects are public.

Ludo’.